@import (reference) '../../less/platoreso.less';

.storyBlock() {

}

.feed {
  .story {
    display: flex;
    flex-direction: column;

    &:not(.group) {
      .block();
      &:not(:last-child) {
        margin-bottom: 1.5em;
      }
    }

    .header {
      display: flex;
      flex-direction: row;
      margin-bottom: 0.5em;

      > .avatar {
        flex: 0 0 auto;
        margin-right: 0.75em;
        width: 3em;
        height: 3em;
      }
      .content {
        flex: 1 1 auto;
        .date {
          font-size: 0.85em;
          line-height: 1em;
          color: @lightTextColor;
        }
        .summary {
          margin-bottom: 0.5em;
          line-height: 1.25em;
        }
      }
    }

    .extra {
      .quote {
        font-style: italic;
        margin-bottom: 1em;
        color: @mutedTextColor;
      }
      blockquote {
        margin: 1.5em 0;
        //padding: 0.5em 10px;
        quotes: "\201C""\201D";
        > p:first-child {
          //display: inline-block;
        }
      }
      blockquote:before {
        color: @lightTextColor;
        content: open-quote;
        font-size: 4em;
        line-height: 1rem;
        margin-right: 0.25em;
        //vertical-align: -0.4em;
        display: inline-block;
        float: left;
      }
    }
  }
  .grouped-story {
    .block();
    margin-bottom: 1.5em;

    .stories {
      .story {
        &:first-child {
          margin-top: 1em;
        }
      }
    }
  }
}